/*************************************************************** 
* File: config.h
****************************************************************/  

#ifndef _CONFIG_H
#define _CONFIG_H

#include <iolpc2132.h>

#define CCLK 4000000     //XTAL frequency in Hz (PLL is disable)
#define PCLK (CCLK/4)     //asummed VPB divider is 4

#define TRUE  1
#define FALSE 0

typedef unsigned char  uint8_t;                 
typedef signed   char  int8_t;                 
typedef unsigned short uint16_t;                 
typedef signed   short int16_t;                
typedef unsigned int   uint32_t;                 
typedef signed   int   int32_t;                   
typedef float          fp32_t;                
typedef double         fp64_t;       

void pllInit(void);
void vpbdivInit();

#endif

/*************************************************************** 
* end of file
****************************************************************/ 
