/*************************************************************** 
* File: config.c
****************************************************************/ 

#include "config.h"

void pllInit(void)
{
  //devide or multiplier
  //here is calculate frecuence
  PLLCFG_bit.MSEL = 0x4;  //M - multiplier = 5
  PLLCFG_bit.PSEL = 0x1;  //P - devider = 2
  
  //set changes (require from architecture)
  PLLFEED_bit.FEED = 0xAA;
  PLLFEED_bit.FEED = 0x55;

  //enable or connect PLL
  //enable PLL
  PLLCON_bit.PLLE = 1;
  
  //set changes (require from architecture)
  PLLFEED_bit.FEED = 0xAA;
  PLLFEED_bit.FEED = 0x55;

  //wait for PLOK (correct freq)
  while(PLLSTAT_bit.PLOCK == 0);

  //connect PLL
  PLLCON_bit.PLLC = 1;
  
  //set changes (require from architecture)
  PLLFEED_bit.FEED = 0xAA;
  PLLFEED_bit.FEED = 0x55;
}

void vpbdivInit()
{
  VPBDIV_bit.VPBDIV = 0x02;
}

/*************************************************************** 
* end of file
****************************************************************/ 


